<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/SourceFile/Include.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.SourceFile.Include</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../SourceFile.html" >SourceFile</a>
</div><div class="class-name">class Include

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/SourceFile.py.html" target="detail">../Synopsis/SourceFile.py</a></div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis.SourceFile.Include" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line8" ><img src="../../../src-py.png" alt="source code"/></a></div></div>   <div class="doc">Information about an include directive in a SourceFile.
    If the include directive required a macro expansion to get the filename&#44;
    the is_macro will return true. If the include directive was actually an
    include_next&#44; then is_next will return true.
    </div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <span class="name"><a href="Include.html#target" >target</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line17" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The target SourceFile object being referenced.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="Include.html#name" >name</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line19" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The name by which the target is referenced.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="Include.html#is_macro" >is_macro</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line21" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">True if the directive uses a macro.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="Include.html#is_next" >is_next</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line23" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">True if this is using #include_next &#40;GNU extension&#41;.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">target</span>, <span class="variable">name</span>, <span class="variable">is_macro</span>, <span class="variable">is_next</span>)  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis.SourceFile.Include.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line15" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Attributes Details:</div>
<div class="item"><div class="synopsis"> <a class="name" id="target">target</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line17" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The target SourceFile object being referenced.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="name">name</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line19" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The name by which the target is referenced.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="is_macro">is_macro</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line21" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">True if the directive uses a macro.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="is_next">is_next</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SourceFile.py.html#line23" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">True if this is using #include_next &#40;GNU extension&#41;.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:56 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
